CONTACT -NL- ADDRESS: -NL- London, E11 -NL- PHONE: -NL- **`07435 629 310`[PHONES_PHONE]** -NL- EMAIL: -NL- **`andrei.mirzac1@gmail.com`[EMAILS_EMAIL]** -NL- LinkedIn: -NL- https://www.linkedin.com/in/andr -NL- ei-mirzac-6b443055/ -NL- **`PROFILE`[WORK_EXPERIENCE_HEADING]** -NL- Experienced iOS Engineer with ​5+ -NL- years ​of experience in building -NL- mobile applications using -NL- Objective-C and Swift. Understands -NL- the importance of creating a highly -NL- readable and easily maintainable -NL- source code while meeting projects -NL- deadlines. Now seeking the next -NL- opportunity to make a successful -NL- impact in a customer-focused -NL- organization. -NL- **`LANGUAGES`[OTHERS_HEADING]** -NL- English, Romanian and Russian. -NL- **`ANDREI MIRZAC`[NAME]** -NL- iOS Engineer -NL- **`SKILLS`[SKILLS_HEADING]** -NL- ● Swift​, Objective-C, C -NL- ● Unit Testing, UI Testing, TDD -NL- ● MVC, MVP, MVVM-C -NL- ● OOP, Design Patterns, SOLID -NL- ● TestFlight, Fabric, Crashlytics -NL- ● Continuous Integration(CI), Bitrise.io -NL- ● Git, Git flow, Source Tree, GitLab -NL- ● REST​, JSON, HTML -NL- ● Xcode​, Visual Studio Code -NL- ● Stripe, Apple Pay, Paypal -NL- ● Jira, Kanban,​ Agile Scrum​, WaterFall -NL- **`& SKILLS`[SKILLS_HEADING]** -NL- P​ROFESSIONAL​​EXPERIENCE​ **`Mkodo ltd`[EMPLOYER_COMPANY_NAME]** – **`iOS Developer`[EMPLOYER_ROLE]** (Contractor) -NL- ​Dec 2019 – Jan 2020 -NL- **`Legal Zoom UK`[EMPLOYER_COMPANY_NAME]** – **`iOS Developer`[EMPLOYER_ROLE]** (Contractor)​ -NL- Oct 2018 – Nov 2019 -NL- ● Successfully integrated I​n-App Purchase ​using​ StoreKit. -NL- **`Nutmeg`[EMPLOYER_COMPANY_NAME]**. – **`iOS Developer`[EMPLOYER_ROLE]** -NL- Aug 2018 – Aug 2019 ​ -NL- ● Led the migration of the project to​ MVVM-C​ architecture pattern, -NL- that ​reduced technical debt​ and increased unit testing coverage by -NL- 15%. -NL- ● Mentored​ iOS developers through code reviews, pair programming, -NL- and iOS meetings leading to better productivity and software quality. -NL- ● **`Nutmeg`[EMPLOYER_COMPANY_NAME]** app -NL- https://apps.apple.com/gb/app/nutmeg-saving-investment/id11272 -NL- 50193 -NL- ● Agile, MVVM-C, TDD, Pair Programming, Bitrise.io(CI) -NL- **`Poq Commerce`[EMPLOYER_COMPANY_NAME]**. – iOS -NL- Oct 2016 – Aug 2018 -NL- Developer​ -NL- ● Developed two major ​global retail apps​; Missguided and​​MADE.com, -NL- including features: product details view, payment integration, third -NL- party integration. -NL- ● Successfully migrated the client app to a major framework version -NL- under a tight deadline, which improved the app’s performance and -NL- allowed the company to meet the client requirements faster. -NL- ● Designed and implemented a tool which generates reports of team -NL- statistics using the Github API, allowing the analysis of the team’s -NL- code review activity. -NL- ● Agile, Swift, Github API, Firebase, UrbanAirship, Paypal, Apple Pay, -NL- Stripe​, Push Notifications, MVVM, MVP, Object Mapper. -NL- ● Missguided ​https://apps.apple.com/ie/app/missguided/id842503500 -NL- ● MADE.com -NL- https://apps.apple.com/gb/developer/made-com/id1183452865 -NL- **`SaveWaterSaveMoney Ltd`[EMPLOYER_COMPANY_NAME]**. – **`iOS Developer`[EMPLOYER_ROLE]**​ -NL- Jan 2016 – Oct 2016 -NL- ● Developed unique ​greenfield B2B projects​, fulfilling all requirements, -NL- effectively and within timelines from conception to delivery of the -NL- final product. -NL- ● Interviewed and hired an iOS Contractors to assist in the delivery of -NL- additional projects. -NL- ● Waterfall Model, Swift​,​Networking Moya, Alamofire, iPad -NL- development, Adaptive Layout, ​ ​Apple enterprise distribution, REST -NL- API. -NL- Self Employed. – Professional Poker Player​ -NL- Jun 2013 – Apr 2015 -NL- **`Endava`[EMPLOYER_COMPANY_NAME]**, Chisinau. – **`iOS Developer`[EMPLOYER_ROLE]**​ -NL- Feb 2013 – Apr 2013 -NL- **`SoftIntercom SRL`[EMPLOYER_COMPANY_NAME]**, Chisinau. – **`iOS Developer`[EMPLOYER_ROLE]**​ -NL- Jul 2011 – Jul 2012 -NL- **`EDUCATION`[EDUCATION_HEADING]** -NL- **`Technical University of Moldova`[EDUCATION_INSTITUTE]**. ​ -NL- 2009 – 2013 -NL- **`BA`[EDUCATION_DEGREE]**: **`Information Technology`[EDUCATION_COURSE]**. -NL- 